Tüm telefon numaralarını getir
curl --request GET \
--url https://app.whattalk.ai/api/user/phone-numbers/allimport requests
url = "https://app.whattalk.ai/api/user/phone-numbers/all"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://app.whattalk.ai/api/user/phone-numbers/all', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 1,
"phone_number": "+14155551234",
"country_code": "US",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": true,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-08T10:30:00.000000Z"
},
{
"id": 2,
"phone_number": "+442071234567",
"country_code": "GB",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": false,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-05T14:20:00.000000Z"
}
]
}
Telefon Numaraları
Tüm telefon numaralarını getir
Kimliği doğrulanmış kullanıcıya ait tüm telefon numaralarını getirin
GET
/
user
/
phone-numbers
/
all
Tüm telefon numaralarını getir
Bu endpoint, hesabınızla ilişkili tüm telefon numaralarının listesini, abonelik durumları ve yetenekleri dahil olmak üzere döndürür.
Yanıt
array
Telefon numarası nesneleri dizisi
Göster telefon numarası özellikleri
Göster telefon numarası özellikleri
integer
Telefon numarasının benzersiz tanımlayıcısı
string
E.164 formatındaki telefon numarası (ör. +14155551234)
string
ISO 3166-1 alpha-2 ülke kodu (ör. US, GB, AU)
string
Telefon numarası türü:
normal, sip veya caller_idstring
Telefon numarası türünün okunabilir etiketi
boolean
Telefon numarasının SMS gönderip alamayacağı
string
Telefon numarasının sağlandığı bölge
boolean
Telefon numarasının aktif bir aboneliğe sahip olup olmadığı
string
Telefon numarasının satın alınma ISO 8601 zaman damgası
{
"data": [
{
"id": 1,
"phone_number": "+14155551234",
"country_code": "US",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": true,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-08T10:30:00.000000Z"
},
{
"id": 2,
"phone_number": "+442071234567",
"country_code": "GB",
"type": "normal",
"type_label": "Dedicated Number",
"sms_capable": false,
"region": "us1",
"has_active_subscription": true,
"created_at": "2025-01-05T14:20:00.000000Z"
}
]
}
SMS özellikli ve aktif abonelikleri olan yalnızca telefon numaralarını döndüren eski bir endpoint
GET /user/phone-numbers de mevcuttur. SMS yeteneği veya abonelik durumundan bağımsız olarak tüm telefon numaralarına ihtiyacınız varsa bu /all endpoint’ini kullanın.⌘I

